- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomDocument Class Reference

Search for all occurrences

## Detailed Description

Definition at line 308 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomDocument:
[legend]

List of all members.

## Public Member Functions
| QDomDocument ()
| QDomDocument (const QString &name)
| QDomDocument (const QDomDocumentType &doctype)
| QDomDocument (const QDomDocument &x)
QDomDocument & | operator= (const QDomDocument &)
| ~QDomDocument ()
QDomElement | createElement (const QString &tagName)
QDomDocumentFragment | createDocumentFragment ()
QDomText | createTextNode (const QString &data)
QDomComment | createComment (const QString &data)
QDomCDATASection | createCDATASection (const QString &data)
QDomProcessingInstruction | createProcessingInstruction (const QString &target, const QString &data)
QDomAttr | createAttribute (const QString &name)
QDomEntityReference | createEntityReference (const QString &name)
QDomNodeList | elementsByTagName (const QString &tagname) const
QDomNode | importNode (const QDomNode &importedNode, bool deep)
QDomElement | createElementNS (const QString &nsURI, const QString &qName)
QDomAttr | createAttributeNS (const QString &nsURI, const QString &qName)
QDomNodeList | elementsByTagNameNS (const QString &nsURI, const QString &localName)
QDomElement | elementById (const QString &elementId)
QDomDocumentType | doctype () const
QDomImplementation | implementation () const
QDomElement | documentElement () const
QDomNode::NodeType | nodeType () const
bool | setContent (const QByteArray &text, bool namespaceProcessing, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (const QString &text, bool namespaceProcessing, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (QIODevice *dev, bool namespaceProcessing, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (QXmlInputSource *source, bool namespaceProcessing, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (const QByteArray &text, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (const QString &text, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (QIODevice *dev, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
bool | setContent (QXmlInputSource *source, QXmlReader *reader, QString *errorMsg=0, int *errorLine=0, int *errorColumn=0)
QString | toString (int=1) const
QByteArray | toByteArray (int=1) const
## Friends
class | QDomNode

## Constructor & Destructor Documentation

QDomDocument | ( |  | ) |

QDomDocument | ( | const QString & | name | ) | `[explicit]`

QDomDocument | ( | const QDomDocumentType & | doctype | ) | `[explicit]`

QDomDocument | ( | const QDomDocument & | x | ) |

~QDomDocument | ( |  | ) |

## Member Function Documentation

QDomDocument& operator= | ( | const QDomDocument & |  | ) |

QDomElement createElement | ( | const QString & | tagName | ) |

Search for all occurrences

QDomDocumentFragment createDocumentFragment | ( |  | ) |

Search for all occurrences

QDomText createTextNode | ( | const QString & | data | ) |

Search for all occurrences

QDomComment createComment | ( | const QString & | data | ) |

Search for all occurrences

QDomCDATASection createCDATASection | ( | const QString & | data | ) |

Search for all occurrences

QDomProcessingInstruction createProcessingInstruction | ( | const QString & | target,
|  | const QString & | data
| ) |  |

Search for all occurrences

QDomAttr createAttribute | ( | const QString & | name | ) |

Search for all occurrences

QDomEntityReference createEntityReference | ( | const QString & | name | ) |

Search for all occurrences

QDomNodeList elementsByTagName | ( | const QString & | tagname | ) | const

Search for all occurrences

QDomNode importNode | ( | const QDomNode & | importedNode,
|  | bool | deep
| ) |  |

Search for all occurrences

QDomElement createElementNS | ( | const QString & | nsURI,
|  | const QString & | qName
| ) |  |

Search for all occurrences

QDomAttr createAttributeNS | ( | const QString & | nsURI,
|  | const QString & | qName
| ) |  |

Search for all occurrences

QDomNodeList elementsByTagNameNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  |

Search for all occurrences

QDomElement elementById | ( | const QString & | elementId | ) |

Search for all occurrences

QDomDocumentType doctype | ( |  | ) | const

Search for all occurrences

QDomImplementation implementation | ( |  | ) | const

Search for all occurrences

QDomElement documentElement | ( |  | ) | const

Search for all occurrences

QDomNode::NodeType nodeType | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 340 of file qdom.h.

    { return DocumentNode; }

bool setContent | ( | const QByteArray & | text,
|  | bool | namespaceProcessing,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | const QString & | text,
|  | bool | namespaceProcessing,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | QIODevice * | dev,
|  | bool | namespaceProcessing,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | QXmlInputSource * | source,
|  | bool | namespaceProcessing,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | const QByteArray & | text,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | const QString & | text,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | QIODevice * | dev,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

bool setContent | ( | QXmlInputSource * | source,
|  | QXmlReader * | reader,
|  | QString * | errorMsg = `0`,
|  | int * | errorLine = `0`,
|  | int * | errorColumn = `0`
| ) |  |

Search for all occurrences

QString toString | ( | int | = `1` | ) | const

Search for all occurrences

QByteArray toByteArray | ( | int | = `1` | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 359 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument
QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument QDomDocument